stages:
  - test

test:7.2:
  image: php:7.2-cli
  stage: test
  script:
    - bash ci/prepare-test.sh > /dev/null
    - composer install
    - vendor/bin/phpunit --configuration ci/phpunit.xml --coverage-text --colors=never

test:7.3:
  image: php:7.3-cli
  stage: test
  script:
    - bash ci/prepare-test.sh > /dev/null
    - composer install
    - vendor/bin/phpunit --configuration ci/phpunit.xml --coverage-text --colors=never

test:7.4:
  image: php:7.4-cli
  stage: test
  script:
    - bash ci/prepare-test.sh > /dev/null
    - composer install
    - vendor/bin/phpunit --configuration ci/phpunit.xml --coverage-text --colors=never
